%global pkg_name ForSyDe

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

# ghc does not emit debug information
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        3.1.1
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
BuildRequires:  ghc-parameterized-data, ghc-parameterized-data-devel, ghc-parameterized-data-prof
BuildRequires:  ghc-regex-posix, ghc-regex-posix-devel, ghc-regex-posix-prof
BuildRequires:  ghc-type-level, ghc-type-level-devel, ghc-type-level-prof
BuildRequires:  ghc-mtl, ghc-mtl-devel, ghc-mtl-prof

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install



%{?ghc_lib_package}


%files
%defattr(-,root,root,-)
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/lib/forsyde.vhd

%changelog
* Mon Mar 14 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-4
- Enable build on sparcv9.

* Sat Mar 05 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-3
- Added forsyde.vhd to base-package.

* Sat Feb 27 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-2
- Added ghc-mtl dependency to BuildRequires.

* Mon Feb 21 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-1
- Added BSD3 license.
- Added extra data files for devel.files.
- Initial packaging for Fedora automatically generated by cabal2spec-0.22.4.
